import { QueryClient, QueryClientProvider } from '@tanstack/react-query';
import * as antd from 'antd';
import { useOutlet } from 'dumi';
import React, { useEffect } from 'react';
import { initializeAIChat } from "../../model/AIChat";
import { initializeAuth } from "../../model/auth";
var queryClient = new QueryClient();
var GlobalLayout = function GlobalLayout() {
  var outlet = useOutlet();
  useEffect(function () {
    initializeAIChat();
    initializeAuth();
    if (typeof window !== 'undefined') {
      window.antd = antd;
    }
    console.log("%c @antv/dumi-theme-antv %c ".concat("0.8.4", " %c"), 'background:#35495e; padding: 1px; border-radius: 3px 0 0 3px; color: #fff;', 'background:#41b883; padding: 1px; border-radius: 0 3px 3px 0; color: #fff;', 'background:transparent;');
  }, []);
  return outlet && /*#__PURE__*/React.createElement(QueryClientProvider, {
    client: queryClient
  }, outlet);
};
export default GlobalLayout;